"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = exports.disableLogger = exports.setLogger = void 0;
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @typescript-eslint/no-var-requires */
const pino_1 = __importDefault(require("pino"));
let outboxLogger = (0, pino_1.default)();
/**
 * Set a custom logger to use for logging. The default is using a plain pino logger.
 * @param logger Your custom logger
 */
const setLogger = (logger) => {
    outboxLogger = logger;
};
exports.setLogger = setLogger;
/**
 * Disable the logger.
 */
const disableLogger = () => {
    const disabled = {
        child: () => disabled,
        fatal: () => { },
        error: () => { },
        warn: () => { },
        info: () => { },
        debug: () => { },
        trace: () => { },
        silent: () => { },
        level: 'silent',
    };
    outboxLogger = disabled;
};
exports.disableLogger = disableLogger;
/**
 * Gets the logger instance to log messages
 * @returns The default or custom defined logger
 */
const logger = () => {
    return outboxLogger;
};
exports.logger = logger;
//# sourceMappingURL=logger.js.map