"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeOutboxService = void 0;
const replication_service_1 = require("./replication-service");
/**
 * Initialize the service to watch for outbox table inserts via logical replication.
 * @param config The configuration object with required values to connect to the WAL.
 * @param callback The callback is called to actually send the message through a message bus or other means.
 * @returns Functions for a clean shutdown and to help testing "outages" of the outbox service
 */
const initializeOutboxService = (config, callback) => (0, replication_service_1.createService)(config, callback);
exports.initializeOutboxService = initializeOutboxService;
//# sourceMappingURL=outbox-service.js.map